const express = require("express");
const { createProxyMiddleware: proxy } = require("http-proxy-middleware");
const port = process.env.PORT ?? 52026;
const cairoUrl = process.env.CAIRO_PUBLIC_URL;
const nubianUrl = process.env.NUBIAN_INTERNAL_URL;
const app = express();
app.use("/", express.static("build"));
app.use("/cairo", proxy({ target: cairoUrl, changeOrigin: true }));
app.use("/nubian", proxy({ target: nubianUrl, changeOrigin: true }));
app.listen(port, () => console.log(`🌴 Nile server started on ${port}! 🌴`));
